Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Mon, 28 Mar 2011 10:54:30 -0400

Can you please call this customer and handle this for me?
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
----- Original Message ----- 
From: LLPS 
To: [email-masked] 
Sent: Monday, March 28, 2011 10:35 AM
Subject: LLPS Contact Us Submission

Name: Amanda Guinn

E-mail Address: [email-masked]

Telephone: Not specified

Message: Hello, I'd like to return the posters shipped to me. The owner
already purchased 2011 posters. How can I return the product shipped?
And where should I send? 

Request generated on March 28th, 2011 at 10:35 AM EST from the IP address 67.154.221.178